Skip to main content
GET
C#

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

connection_id
string

Filter groups by connection ID.

name
string

Filter groups by name.

Required string length: 1 - 128
external_id
string

Filter groups by external ID.

Maximum string length: 256

Search for groups by name or external ID.

Required string length: 1 - 256
fields
string

A comma separated list of fields to include or exclude (depending on include_fields) from the result, empty to retrieve all fields

Maximum string length: 256
include_fields
boolean

Whether specified fields are to be included (true) or excluded (false).

page
integer
deprecated

Page index of the results to return. First page is 0. Offset-based pagination is limited to a maximum of 1,000 results; use checkpoint pagination (from and take) instead.

Required range: x >= 0
per_page
integer
deprecated

Number of results per page. Defaults to 50. Offset-based pagination is limited to a maximum of 1,000 results; use checkpoint pagination (from and take) instead.

Required range: 1 <= x <= 100
include_totals
boolean
deprecated

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default). The returned total reflects at most 1,000 results.

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100

Response

Groups successfully retrieved.

Represents the metadata of a group. Member lists are retrieved via a separate endpoint.

id
string

Unique identifier for the group (service-generated).

Required string length: 18 - 26
Pattern: ^grp_[1-9a-km-zA-HJ-NP-Z]{14,22}$
name
string

Name of the group. Must be unique within its connection. Must contain between 1 and 128 printable ASCII characters.

Required string length: 1 - 128
Pattern: ^[\x20-\x7E]+$
external_id
string

External identifier for the group, often used for SCIM synchronization. Max length of 256 characters.

Maximum string length: 256
connection_id
string<connection-id>

Identifier for the connection this group belongs to (if a connection group).

tenant_name
string

Identifier for the tenant this group belongs to.

Minimum string length: 3
Pattern: ^[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?$
created_at
string<date-time>

Timestamp of when the group was created.

updated_at
string<date-time>

Timestamp of when the group was last updated.